New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

While installing from CRAN version 2.1 is installed #43

Closed
QuantumDamage opened this Issue Dec 28, 2018 · 3 comments

Comments

Projects
None yet
2 participants
@QuantumDamage
Copy link

QuantumDamage commented Dec 28, 2018

Hi,
it might be not Auditor related error, but I'm not sure, so I will post it here.

I'm installing auditor in following way:
install.packages("auditor")

After installing and running:
library(auditor)
I have following environment:

> sessionInfo()
R version 3.5.1 (2018-07-02)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: Ubuntu 16.04.5 LTS

Matrix products: default
BLAS: /home/damian/miniconda3/envs/jakbadacdane.pl/lib/R/lib/libRblas.so
LAPACK: /home/damian/miniconda3/envs/jakbadacdane.pl/lib/R/lib/libRlapack.so

locale:
[1] en_US.UTF-8

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base     

other attached packages:
[1] RevoUtils_11.0.1     RevoUtilsMath_11.0.0

loaded via a namespace (and not attached):
 [1] gtools_3.8.1       zoo_1.8-3          tidyselect_0.2.4   purrr_0.2.5       
 [5] lattice_0.20-35    haven_1.1.2        carData_3.0-1      colorspace_1.3-2  
 [9] yaml_2.2.0         rlang_0.2.1        pillar_1.3.0       foreign_0.8-71    
[13] glue_1.3.0         RColorBrewer_1.1-2 TTR_0.23-3         readxl_1.1.0      
[17] bindrcpp_0.2.2     factoextra_1.0.5   bindr_0.1.1        plyr_1.8.4        
[21] quantmod_0.4-13    munsell_0.5.0      gtable_0.2.0       cellranger_1.1.0  
[25] zip_1.0.0          caTools_1.17.1.1   tseries_0.10-45    rio_0.5.10        
[29] GGally_1.4.0       forcats_0.3.0      curl_3.2           auditor_0.2.1     
[33] fdrtool_1.2.15     xts_0.11-0         Rcpp_0.12.18       KernSmooth_2.23-15
[37] ROCR_1.0-7         scales_0.5.0       gdata_2.18.0       abind_1.4-5       
[41] gplots_3.0.1       ggplot2_3.0.0      hms_0.4.2          openxlsx_4.1.0    
[45] dplyr_0.7.6        ggrepel_0.8.0      grid_3.5.1         quadprog_1.5-5    
[49] tools_3.5.1        bitops_1.0-6       magrittr_1.5       lazyeval_0.2.1    
[53] tibble_1.4.2       crayon_1.3.4       car_3.0-0          pkgconfig_2.0.1   
[57] MASS_7.3-50        data.table_1.11.4  hnp_1.2-6          assertthat_0.2.0  
[61] reshape_0.8.7      rstudioapi_0.7     plotROC_2.2.1      R6_2.2.2          
[65] rpart_4.1-13       compiler_3.5.1    

I believe I should have auditor_3.0.1 or something similar (based on CRAN). What I am doing wrong?

@agosiewska

This comment has been minimized.

Copy link
Member

agosiewska commented Dec 28, 2018

It's strange, I'm not sure, what is the reason. Maybe something on CRAN didn't update after the last submission.
However, install.packages("auditor") works fine for me (on Windows and Ubuntu 16.04), it installs version 0.3.1.

I'll update auditor on CRAN in January, I hope it'll help. Until then, you can use

packageurl <- "https://cran.r-project.org/src/contrib/auditor_0.3.1.tar.gz" 
install.packages(packageurl, repos=NULL, type="source")
@QuantumDamage

This comment has been minimized.

Copy link
Author

QuantumDamage commented Dec 29, 2018

@agosiewska thanks, your workaround works well for me :)
I believe this issue can be closed now.

@agosiewska

This comment has been minimized.

Copy link
Member

agosiewska commented Dec 29, 2018

😉

@agosiewska agosiewska closed this Dec 29, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment